from bs4 import BeautifulSoup

from wiki_utils.WikiUtils import *


def get_vcinema_viewings(token_id, token_secret):
    # Page ID of /Vcinema/CSV
    page_id = 11

    wiki_base_url = "https://wiki.jacknet.io"

    html_page = get_page_export_html(page_id, wiki_base_url, token_id, token_secret)

    soup = BeautifulSoup(html_page, 'html.parser')
    elements = soup.find("code").text.strip().split("\n")
    headers = elements.pop(0).split(",")
    viewings = [dict(zip(headers, row.split(","))) for row in elements]

    return viewings
